# Function ControlSetValue

- ControlSetValue(
  controlId: string,
  options?: Omit<ControlSetValueOptions, "propertyKey">,
  ): (target: any, propertyKey: string) => void

  #### Parameters

  - controlId: string
  - options: Omit<ControlSetValueOptions, "propertyKey"> = {}

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/forms/src/lib/decorators/control-set-value.ts:9